This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842238 - Review Request: eclipselink-persistence-api - Javax Persistence 2.0 API
Review Request: eclipselink-persistence-api - Javax Persistence 2.0 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 984846
  Show dependency treegraph
 
Reported: 2012-07-23 04:26 EDT by gil cattaneo
Modified: 2013-08-07 19:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: eclipselink-persistence-api-2.0.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 19:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-07-23 04:26:49 EDT
Spec URL: http://gil.fedorapeople.org/eclipselink-persistence-api.spec
SRPM URL: http://gil.fedorapeople.org/eclipselink-persistence-api-2.0.4.v201112200901-1.fc16.src.rpm
Description: EclipseLink definition of the Java Persistence 2.0 API.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2012-07-23 04:47:12 EDT
tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4322422
Comment 2 Jason Tibbitts 2013-06-10 18:52:31 EDT
Fails to build for the usual reason; just setting needinfo so this will drop out of the queue until an updated package is posted.
Comment 3 gil cattaneo 2013-06-11 07:21:15 EDT
sorry,
eclipselink is required by springframework and newer version break a lot of packages, because use JSR 338/JSR 349 instead of JSR 317/JSR-303.
skip for now the review
thanks
regards
Comment 4 Jason Tibbitts 2013-06-11 17:27:33 EDT
I guess just clear the whiteboard field when this is ready for a review.
Comment 7 Marek Goldmann 2013-07-29 07:22:16 EDT
I'll take this for a review.
Comment 8 Marek Goldmann 2013-07-29 09:13:34 EDT
Any reason you don't use the upstream tag for tarball (which is commented out)?
Comment 9 gil cattaneo 2013-07-29 09:22:20 EDT
yes, i dont want use tycho, and upstream taraball use this one ...
Comment 10 Marek Goldmann 2013-07-29 09:46:09 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     eclipselink-persistence-api-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 164 files have unknown license.
     Detailed output of licensecheck in /home/goldmann/work/review/842238
     -eclipselink-persistence-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipselink-persistence-api-2.0.5-1.fc20.noarch.rpm
          eclipselink-persistence-api-javadoc-2.0.5-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eclipselink-persistence-api-javadoc eclipselink-persistence-api
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
eclipselink-persistence-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

eclipselink-persistence-api (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.eclipse.osgi:org.eclipse.osgi)



Provides
--------
eclipselink-persistence-api-javadoc:
    eclipselink-persistence-api-javadoc

eclipselink-persistence-api:
    eclipselink-persistence-api
    mvn(org.eclipse.persistence:javax.persistence)
    osgi(javax.persistence)



Source checksums
----------------
http://maven.eclipse.org/nexus/content/repositories/build/org/eclipse/persistence/javax.persistence/2.0.5/javax.persistence-2.0.5-sources.jar :
  CHECKSUM(SHA256) this package     : 53c127e90c94924d6432b342508bbb425ee53a0443fb94dffb6ab48088cad69d
  CHECKSUM(SHA256) upstream package : 53c127e90c94924d6432b342508bbb425ee53a0443fb94dffb6ab48088cad69d
http://maven.eclipse.org/nexus/content/repositories/build/org/eclipse/persistence/javax.persistence/2.0.5/javax.persistence-2.0.5.pom :
  CHECKSUM(SHA256) this package     : a409a12e4642fc79e8940b9ff983bc570a610630d03eb2b41acdf1aef0999112
  CHECKSUM(SHA256) upstream package : a409a12e4642fc79e8940b9ff983bc570a610630d03eb2b41acdf1aef0999112


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 842238 -m fedora-rawhide-i386


================
*** APPROVED ***
================
Comment 11 gil cattaneo 2013-07-29 09:52:01 EDT
Thanks!

New Package SCM Request
=======================
Package Name: eclipselink-persistence-api
Short Description: JPA 2.0 Spec OSGi Bundle
Owners: gil
Branches: f19
InitialCC: java-sig
Comment 12 Jon Ciesla 2013-07-29 10:07:41 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-07-29 10:45:40 EDT
eclipselink-persistence-api-2.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eclipselink-persistence-api-2.0.5-1.fc19
Comment 14 Fedora Update System 2013-07-30 13:33:30 EDT
eclipselink-persistence-api-2.0.5-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 15 Fedora Update System 2013-08-07 19:03:21 EDT
eclipselink-persistence-api-2.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.